Bug 1537357 - [RFE] - get-state option should mark profiling enabled flag at volume level
Summary: [RFE] - get-state option should mark profiling enabled flag at volume level
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Atin Mukherjee
QA Contact: Bala Konda Reddy M
URL:
Whiteboard:
Depends On: 1537364
Blocks: 1503132 1517215 1546957
TreeView+ depends on / blocked
 
Reported: 2018-01-23 02:31 UTC by Shubhendu Tripathi
Modified: 2018-09-04 06:42 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.12.2-5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1537364 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:40:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:42:22 UTC

Description Shubhendu Tripathi 2018-01-23 02:31:01 UTC
Description of problem:
There is no information about profiling enabled/not-started at volume level in get-state output

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Setup a gluster cluster with 3 nodes
2. Create a dist-replicate volume
3. Start volume profile on the volume
4. Run the command `gluster get-state` and check the output

Actual results:
There is not detail of volume profiling enaled

Expected results:
The get-state output should mention if volume profiling is enabled/not-started for the volume

Additional info:

Comment 2 Atin Mukherjee 2018-01-23 02:58:15 UTC
upstream patch : https://review.gluster.org/#/c/19286

Comment 6 Bala Konda Reddy M 2018-03-09 14:19:24 UTC
Build : 3.12.2-5

Profile enabled option is present in the recent gluster get-state

<Snippet from get-state>
[Volumes]
Volume1.name: testvol
Volume1.id: aa50ae77-c0aa-495b-a067-f0fc084eaa2c
Volume1.type: Distribute
Volume1.transport_type: tcp
Volume1.status: Started
Volume1.profile_enabled: 1

Hence marking it as verified

Comment 8 errata-xmlrpc 2018-09-04 06:40:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.